%global pypi_name elementpath

Name:           python-%{pypi_name}
Version:        4.5.0
Release:        %mkrel 1
Summary:        XPath 1.0/2.0/3.0 parsers and selectors for ElementTree and lxml
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/elementpath
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
The proposal of this package is to provide XPath 1.0, 2.0 and 3.0 selectors for
ElementTree XML data structures, both for the standard ElementTree library and
for the lxml.etree library.

For lxml.etree this package can be useful for providing XPath 2.0/3.0
selectors, because lxml.etree already has it’s own implementation of XPath 1.0.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The proposal of this package is to provide XPath 1.0, 2.0 and 3.0 selectors for
ElementTree XML data structures, both for the standard ElementTree library and
for the lxml.etree library.

For lxml.etree this package can be useful for providing XPath 2.0/3.0
selectors, because lxml.etree already has it’s own implementation of XPath 1.0.

%package -n python-%{pypi_name}-doc
Summary:        elementpath documentation
BuildRequires:  python3dist(sphinx)

%description -n python-%{pypi_name}-doc
Documentation for elementpath

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 doc html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst

%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE


%changelog
* Thu Dec 19 2024 papoteur <papoteur> 4.5.0-1.mga10
+ Revision: 2126224
- new version 4.5.0

* Sun Jun 23 2024 papoteur <papoteur> 4.4.0-1.mga10
+ Revision: 2076239
- new version 4.4.0

* Wed Dec 27 2023 papoteur <papoteur> 4.1.5-2.mga10
+ Revision: 2022701
- rebuild for python 3.12

* Sun Sep 10 2023 papoteur <papoteur> 4.1.5-1.mga10
+ Revision: 1985989
- new 4.1.5

* Sun Aug 28 2022 wally <wally> 3.0.2-1.mga9
+ Revision: 1881540
- new version 3.0.2
- switch build to use pyproject rpm macros

* Tue Mar 29 2022 umeabot <umeabot> 2.3.2-3.mga9
+ Revision: 1832599
- Mageia 9 Mass Rebuild

* Sat Feb 12 2022 tv <tv> 2.3.2-2.mga9
+ Revision: 1773592
- Rebuild for python-3.10

* Wed Feb 02 2022 mrambo3501 <mrambo3501> 2.3.2-1.mga9
+ Revision: 1771144
- version 2.3.2

* Sat Aug 28 2021 wally <wally> 2.2.3-1.mga9
+ Revision: 1743211
- new version 2.2.3

* Sat Mar 20 2021 tv <tv> 2.2.0-3.mga9
+ Revision: 1705665
- rebuild for python-3.9.2

* Sat Mar 20 2021 tv <tv> 2.2.0-2.mga9
+ Revision: 1705664
- rebuild for python-3.9.2

* Mon Mar 01 2021 guillomovitch <guillomovitch> 2.2.0-1.mga9
+ Revision: 1695480
- new version 2.2.0

* Sun Nov 22 2020 guillomovitch <guillomovitch> 2.0.4-1.mga8
+ Revision: 1648432
- new version 2.0.4

* Wed Feb 19 2020 umeabot <umeabot> 1.4.0-2.mga8
+ Revision: 1543470
- Mageia 8 Mass Rebuild

* Mon Jan 20 2020 wally <wally> 1.4.0-1.mga8
+ Revision: 1481755
- new version 1.4.0

* Wed Dec 18 2019 wally <wally> 1.3.2-1.mga8
+ Revision: 1468773
- new version 1.3.2

* Thu Sep 26 2019 daviddavid <daviddavid> 1.2.0-2.mga8
+ Revision: 1446262
- rebuild for python3.8

* Sun Aug 18 2019 wally <wally> 1.2.0-1.mga8
+ Revision: 1429769
- imported package python-elementpath

